﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Financial Impact";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    var oTable;
    var oVersion;
    function loadFinancialImpact() {
        var GetDetail = '@Url.Action("getFinancialImpactDetail", "FinancialImpact", new { rowid = @ViewBag.RowId })';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtyear").value = GetDetail.year;
                    document.getElementById("hdid").value = GetDetail.id;
                    document.getElementById("comfinid").value = '@ViewBag.RowId';
                    document.getElementById("np_catastrophic").value = GetDetail.np_catastrophic;
                    document.getElementById("np_major").value = GetDetail.np_major;
                    document.getElementById("np_moderate").value = GetDetail.np_moderate;
                    document.getElementById("np_minor").value = GetDetail.np_minor;
                    document.getElementById("rev_catastrophic").value = GetDetail.rev_catastrophic;
                    document.getElementById("rev_major").value = GetDetail.rev_major;
                    document.getElementById("rev_moderate").value = GetDetail.rev_moderate;
                    document.getElementById("rev_minor").value = GetDetail.rev_minor;
                    document.getElementById("cor_catastrophic").value = GetDetail.cor_catastrophic;
                    document.getElementById("cor_major").value = GetDetail.cor_major;
                    document.getElementById("cor_moderate").value = GetDetail.cor_moderate;
                    document.getElementById("cor_minor").value = GetDetail.cor_minor;
                    document.getElementById("opex_catastrophic").value = GetDetail.opex_catastrophic;
                    document.getElementById("opex_major").value = GetDetail.opex_major;
                    document.getElementById("opex_moderate").value = GetDetail.opex_moderate;
                    document.getElementById("opex_minor").value = GetDetail.opex_minor;
                    document.getElementById("noic_catastrophic").value = GetDetail.noic_catastrophic;
                    document.getElementById("noic_major").value = GetDetail.noic_major;
                    document.getElementById("noic_moderate").value = GetDetail.noic_moderate;
                    document.getElementById("noic_minor").value = GetDetail.noic_minor;
                }
            },
            error: function () {

            }
        });
    }
    function loadCalculation() {
        var np_catastrophic = $('#np_catastrophic').val();
        var np_major = $('#np_major').val();
        var np_moderate = $('#np_moderate').val();
        var np_minor = $('#np_minor').val();

        @*var GetDetail = '@Url.Action("getFinancialImpactCalculation", "FinancialImpact", new { rowid = @ViewBag.RowId, })';*@
        var GetDetail = '@Url.Action("getFinancialImpactCalculation", "FinancialImpact")?rowid=' + @ViewBag.RowId + '&np_catastrophic=' + np_catastrophic + '&np_major=' + np_major + '&np_moderate=' + np_moderate + '&np_minor=' + np_minor;
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtyear").value = GetDetail.year;
                    document.getElementById("hdid").value = GetDetail.id;
                    document.getElementById("comfinid").value = '@ViewBag.RowId';
                    document.getElementById("np_catastrophic").value = GetDetail.np_catastrophic;
                    document.getElementById("np_major").value = GetDetail.np_major;
                    document.getElementById("np_moderate").value = GetDetail.np_moderate;
                    document.getElementById("np_minor").value = GetDetail.np_minor;
                    document.getElementById("rev_catastrophic").value = GetDetail.rev_catastrophic;
                    document.getElementById("rev_major").value = GetDetail.rev_major;
                    document.getElementById("rev_moderate").value = GetDetail.rev_moderate;
                    document.getElementById("rev_minor").value = GetDetail.rev_minor;
                    document.getElementById("cor_catastrophic").value = GetDetail.cor_catastrophic;
                    document.getElementById("cor_major").value = GetDetail.cor_major;
                    document.getElementById("cor_moderate").value = GetDetail.cor_moderate;
                    document.getElementById("cor_minor").value = GetDetail.cor_minor;
                    document.getElementById("opex_catastrophic").value = GetDetail.opex_catastrophic;
                    document.getElementById("opex_major").value = GetDetail.opex_major;
                    document.getElementById("opex_moderate").value = GetDetail.opex_moderate;
                    document.getElementById("opex_minor").value = GetDetail.opex_minor;
                    document.getElementById("noic_catastrophic").value = GetDetail.noic_catastrophic;
                    document.getElementById("noic_major").value = GetDetail.noic_major;
                    document.getElementById("noic_moderate").value = GetDetail.noic_moderate;
                    document.getElementById("noic_minor").value = GetDetail.noic_minor;
                }
            },
            error: function () {

            }
        });
    }

    function saveData(message) {
        //validation
        if ($('#np_catastrophic').val().length == 0 ||
              $('#np_major').val().length == 0 ||
              $('#np_moderate').val().length == 0 ||
              $('#np_minor').val().length == 0) {
            bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                setTimeout(function () { }, 500);
            });
        } else {

            //confirmation
            bootbox.confirm({
                title: "<i class='fa fa-warning fa-2x'></i> " + message + " Confirmation",
                message: 'Are you sure you want to ' + message + ' this data. <br>If not, click Cancel',
                buttons: {
                    'cancel': {
                        label: '<i class="fa fa-times"></i> Cancel',
                        className: 'btn-default pull-left'
                    },
                    'confirm': {
                        label: '<i class="fa fa-check"></i> Yes, Continue save',
                        className: 'btn-primary pull-right'
                    }
                },
                callback: function (result) {
                    if (result) {
                        var FinancialImpactList = [
                             {
                                 id: $('#hdid').val(),
                                 comfinid: $('#comfinid').val(),
                                 year: $('#txtyear').val(),
                                 np_catastrophic: $('#np_catastrophic').val(),
                                 np_major: $('#np_major').val(),
                                 np_moderate: $('#np_moderate').val(),
                                 np_minor: $('#np_minor').val(),
                                 rev_catastrophic: $('#rev_catastrophic').val(),
                                 rev_major: $('#rev_major').val(),
                                 rev_moderate: $('#rev_moderate').val(),
                                 rev_minor: $('#rev_minor').val(),
                                 cor_catastrophic: $('#cor_catastrophic').val(),
                                 cor_major: $('#cor_major').val(),
                                 cor_moderate: $('#cor_moderate').val(),
                                 cor_minor: $('#cor_minor').val(),
                                 opex_catastrophic: $('#opex_catastrophic').val(),
                                 opex_major: $('#opex_major').val(),
                                 opex_moderate: $('#opex_moderate').val(),
                                 opex_minor: $('#opex_minor').val(),
                                 noic_catastrophic: $('#noic_catastrophic').val(),
                                 noic_major: $('#noic_major').val(),
                                 noic_moderate: $('#noic_moderate').val(),
                                 noic_minor: $('#noic_minor').val(),
                                 version: oVersion
                             }
                        ];

                        FinancialImpactList.push();

                        var formData = new FormData();
                        formData.append("FinancialImpactList", JSON.stringify(FinancialImpactList));


                        //Save Process
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("SaveFinancialImpact", "FinancialImpact")',
                            data: formData,
                            dataType: 'json',
                            contentType: false,
                            processData: false,
                            //beforeSend: function () {
                            //    //$("#loader").show();
                            //},
                            success: function (data) {
                                bootbox.dialog({
                                    message: data.message,
                                    title: data.title,
                                    buttons: {
                                        main: {
                                            label: "<i class='fa fa-check'></i> Ok",
                                            className: "btn-primary",
                                            callback: function () {
                                                if (result) {
                                                    if (data.status) {
                                                        window.location.href = '@Url.Action("FinancialImpact", "FinancialImpact")';
                                                    }
                                                }
                                            }
                                        }
                                    }
                                });
                            }
                        });

                    }
                }
            });
        }
    }

    $(document).ready(function () {

        loadFinancialImpact();

        $("#btnSave").click(function () {
            oVersion = "1";
            saveData("Save");
        });

       $("#btnCalculate").click(function () {
            loadCalculation();
        });
    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>

<input type="hidden" id="hdid" />
<input type="hidden" id="comfinid" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Financial Impact Indicator

        </div>
        <div class="panel-body">
            <!--Year-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-3"><label class="label-def-margin" for="txtyear">Year Company Financial Data</label></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="txtyear"></input></div>
            </div>
            <hr />
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2 text-left">
                    <button type="button" class="btn btn-primary" id="btnCalculate">
                        <span class="glyphicon glyphicon-list-alt"></span> Calculate
                    </button>
                </div>
            </div>
            <!--Title-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Net Profit</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Revenue</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Cost of Revenue</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Operating Expenses</label></div>
                <div class="col-sm-2 text-center"><label class="label-def-margin">Non Operating Income/ <br />Charges </label></div>
            </div>
            <!--Catastrophic-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-10 text-center alert alert-warning2" role="alert"><strong>Catastrophic</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2 k-middle-row"><input class="form-control text-center" id="np_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="rev_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="cor_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="opex_catastrophic"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="noic_catastrophic"></input></div>
            </div>
            <!--Major-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-10 text-center alert alert-warning3" role="alert"><strong>Major</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="np_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="rev_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="cor_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="opex_major"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="noic_major"></input></div>
            </div>
            <!--Moderate-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-10 text-center alert alert-warning4" role="alert"><strong>Moderate</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="np_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="rev_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="cor_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="opex_moderate"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="noic_moderate"></input></div>
            </div>
            <!--Minor-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-10 text-center alert alert-warning5" role="alert"><strong>Minor</strong></div>
            </div>
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-2"><input class="form-control text-center" id="np_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="rev_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="cor_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="opex_minor"></input></div>
                <div class="col-sm-2"><input class="form-control text-center" readonly="true" id="noic_minor"></input></div>
            </div>
            <!--Insignificant-->
            <div class="row">
                <div class="col-sm-1 text-center"></div>
                <div class="col-sm-10 text-center alert alert-warning6" role="alert"><strong>Insignificant</strong></div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("FinancialImpact", "FinancialImpact") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
